<template>
  <div class="container mx-auto">
    <div class="flex flex-col pt-24">

      <div class="flex">
        <h2>Produk Health Kit</h2>
      </div>

      <div v-if="item" class="flex -mx-12">

        <div class="w-1/2 px-12">
          <div class="mb-4">
            <img class="block w-full" :src="item.image" />
          </div>
          <div class="overflow-x-hidden">
            <div class="flex flex-shrink-0">
              <div class="mr-4 w-32">
                <img class="object-cover w-full" src="~assets/images/dummy2.png" />
              </div>
              <div class="w-32">
                <img class="object-cover w-full" src="~assets/images/dummy3.png" />
              </div>
            </div>
          </div>
        </div>

        <div class="w-1/2 px-12">

          <!-- start: title -->
          <div class="border-b border-solid pb-4" :style="{ borderColor: '#363636' }">
            <span v-if="item.ableToProduce" class="flex items-center mb-2 text-green-500 text-xs">
              <img class="h-3 mr-1 w-3" src="~assets/icons/self-produce.svg" />
              Bisa Diproduksi Sendiri
            </span>
            <h1 class="leading-tight text-3xl">{{ item.name }}</h1>
            <!-- <span class="text-blue-500 text-sm">{{ item.manufacturer }}</span> -->
          </div>
          <!-- end: title -->

          <!-- start: price -->
          <div class="border-b border-solid flex items-center py-4" :style="{ borderColor: '#363636' }">
            <div class="text-lg w-20" :style="{ color: '#858585' }">Harga</div>
            <div class="text-3xl">{{ item.price | currencyFormat }}</div>
          </div>
          <!-- end:price -->

          <!-- start: qty -->
          <div class="border-b border-solid flex items-center py-4" :style="{ borderColor: '#363636' }">
            <div class="text-lg w-20" :style="{ color: '#858585' }">Jumlah</div>
            <div class="text-3xl">{{ item.stock }}</div>
          </div>
          <!-- end: qty -->

          <!-- start: info -->
          <div class="border-b border-solid flex items-center py-4" :style="{ borderColor: '#363636' }">
            <div class="text-lg w-20" :style="{ color: '#858585' }">Info</div>
            <div class="flex">
              <div class="flex flex-col mr-8">
                <div class="text-sm">Kondisi</div>
                <div class="text-3xl">xbarux</div>
              </div>
              <div class="flex flex-col">
                <div class="text-sm">Berat</div>
                <div class="text-3xl">xberatx</div>
              </div>
            </div>
          </div>
          <!-- end: info -->

          <!-- start: location -->
          <!-- <div class="flex items-center py-4">
            <div class="text-lg w-20" :style="{ color: '#858585' }">Lokasi</div>
            <div class="text-3xl">{{ item.location }}</div>
          </div> -->
          <!-- end: location -->

          <!-- start: button -->
          <div class="mt-12">
            <button class="bg-blue-500 py-2 text-white text-xl w-full">Beli Sekarang</button>
          </div>
          <!-- end: button -->

        </div>

      </div>

    </div>
  </div>
</template>
<script>
import { mapState } from 'vuex'
import currencyFormat from '~/mixins/filters/currencyFormat'

export default {
  async asyncData({isDev, route, store, env, params, query, req, res, redirect, error}) {
    await store.dispatch(
      'products/fetchSingle',
      { id: params.id }
    )
  },
  computed: {
    ...mapState({
      item: state => state.products.item,
    }),
  },
  mixins: [currencyFormat],
}
</script>
